Package Details: netextender 10.0.807-1

Git Clone URL: https://aur.archlinux.org/netextender.git (read-only, click to copy)
Package Base: netextender
Description: SonicWALL SSL VPN Client
Upstream URL: https://www.sonicwall.com/en-us/products/remote-access/vpn-client
Keywords: dell netextender sonicwall ssl sslvpn vpn
Licenses: custom
Submitter: None
Maintainer: physkets
Last Packager: physkets
Votes: 23
Popularity: 0.095889
First Submitted: 2010-07-02 22:09
Last Updated: 2019-06-03 15:50

Required by (0)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

chetgray commented on 2016-11-01 15:28

Version 8.5.797 is available (and 8.5.796 is no longer available). One more library needs to be packaged, as well:

@@ -35,6 +36,7 @@ package() {

install -Dm 644 netExtender.1 "$pkgdir/usr/share/man/man1/netExtender.1"
install -Dm 755 libNetExtender.so "$pkgdir/usr/lib/libNetExtender.so"
+ install -Dm 755 libNetExtenderEpc.so "$pkgdir/usr/lib/libNetExtenderEpc.so"
install -Dm 644 ca-bundle.crt "$pkgdir/usr/share/netExtender/ca-bundle.crt"

# netExtenderGui is hard-coded to check in /usr/lib

lwin commented on 2016-09-28 14:05

Given sources are unavailable:
https://sslvpn.demo.sonicwall.com/NetExtender.Linux.8.5.793.x86.tgz (i686)
https://sslvpn.demo.sonicwall.com/NetExtender.Linux.8.5.793.x86_64.tgz (x86_64)

The following sources are available at the moment:
https://sslvpn.demo.sonicwall.com/NetExtender.Linux.8.5.796.x86.tgz (i686)
https://sslvpn.demo.sonicwall.com/NetExtender.Linux.8.5.796.x86_64.tgz (x86_64)

tony1661 commented on 2016-09-07 23:24

I'm getting the following error, anyone have any ideas?

[user@system Downloads]$ netExtenderGui
2016-09-07 19:21:33 EDT INFO com.sonicwall.NetExtender Logging initialized.
2016-09-07 19:21:33 EDT INFO com.sonicwall.NetExtender NetExtender version 8.5.793
Making a global reference ot the NetExtenderControl object registered with JNI
NetExtender for Linux - Version 8.5.793
Dell SonicWALL
Copyright (c) 2016 Dell

2016-09-07 19:21:33 EDT INFO com.sonicwall.gui.PreferencesDialog createLogPanel()
JNI: setDestination:Setting Destination: vpn.domain.ca (port 4433)
JNI: LaunchNX: mypid = 26843
JNI: LaunchNX: Launching NetExtender2
JNI: LaunchNX: Using destination IP vpn.domain.ca
JNI: LaunchNX: launching NX

Connecting to vpn.domain.ca:4433...
Connected.
Logging in...
Login successful.
Version header not found
SSL Connection is ready
Using SSL Encryption Cipher 'AES256-SHA'
Using new PPP frame encoding mechanism
Using PPP async mode (chosen by server)
Connecting tunnel...

georgyo commented on 2016-04-23 13:55

Updated this package to be less sketchy and work more reliably.

ainola commented on 2015-11-15 23:15

Hi, markbhp. A few things: I'm not maintaining this any more due to the problems I detailed below. So use this if you dare: Nobody is following security updates (not like this garbage should be trusted for any proper security, anyway).

If this is for an organization, you'll be better off either 1) asking your IT department for help, or 2) (if you're the IT dept.) ditching this for something more sane, such as openvpn.

markbhp commented on 2015-11-15 23:10

It seems that some have been able to make this work for a Sonicwall SSL VPN connection. I have not been able to do this (my stupidity). I cannot figure out how to pass the shared secret. Can someone point me down the trail?

gardar commented on 2015-10-20 14:00

This package requires both pppd and ifconfig. So the packages ppp and net-tools should be required as dependencies.

ainola commented on 2015-09-27 05:44

Thankfully, our work has allowed me to ditch this shovelware for openvpn. So I don't need netextender any more: If someone has interest, please take the baton!

ainola commented on 2015-08-18 04:24

Nevermind! Thanks for letting me know.

ainola commented on 2015-08-18 04:06

Kindly explain why this is out of date: mysonicwall is showing 7.5.773 as the latest version. I believe the 8.x release I had found was likely a pre-release.